<?php

namespace App\Controllers;

use App\Models\Model_jenis_kelamin;

class jenis_kelamin extends BaseController
{

    public function __construct()
    {
        $this->Model_jenis_kelamin = new Model_jenis_kelamin();
        helper('form');
    }

    public function index()
    {
        $data = array(
            'title' => 'jenis_kelamin   ',
            'jenis_kelamin' => $this->Model_jenis_kelamin->all_data(),
            'isi'    => 'v_jenis_kelamin'
        );
        return view('layout/v_wrapper', $data);
    }

    public function add()
    {
        $data = array('nama_jenis_kelamin' => $this->request->getPost('nama_jenis_kelamin'));
        $this->Model_jenis_kelamin->add($data);
        session()->setFlashdata('pesan', 'Data Berhasil Di Tambahkan !!!');
        return redirect()->to(base_url('jenis_kelamin'));
    }

    public function edit($id_jenis_kelamin)
    {
        $data = array(
            'id_jenis_kelamin' => $id_jenis_kelamin,
            'nama_jenis_kelamin' => $this->request->getPost('nama_jenis_kelamin'),
        );
        $this->Model_jenis_kelamin->edit($data);
        session()->setFlashdata('pesan', 'Data Berhasil Di Update !!!');
        return redirect()->to(base_url('jenis_kelamin'));
    }

    public function delete($id_jenis_kelamin)
    {
        $data = array(
            'id_jenis_kelamin' => $id_jenis_kelamin,
        );
        $this->Model_jenis_kelamin->delete_data($data);
        session()->setFlashdata('pesan', 'Data Berhasil Di Hapus !!!');
        return redirect()->to(base_url('jenis_kelamin'));
    }
    //--------------------------------------------------------------------

}
